Bug 989521 - [abrt] gnote-3.6.2-1.fc18: iter_set_from_byte_offset: Process /usr/bin/gnote was killed by signal 5 (SIGTRAP)
[abrt] gnote-3.6.2-1.fc18: iter_set_from_byte_offset: Process /usr/bin/gnote ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnote (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
abrt_hash:223248798c571acb1a32640a3c9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-29 08:36 EDT by alan.henry.williams
Modified: 2014-02-05 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:11:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (82.29 KB, text/plain)
2013-07-29 08:36 EDT, alan.henry.williams
no flags Details
File: cgroup (128 bytes, text/plain)
2013-07-29 08:36 EDT, alan.henry.williams
no flags Details
File: core_backtrace (2.72 KB, text/plain)
2013-07-29 08:36 EDT, alan.henry.williams
no flags Details
File: dso_list (11.23 KB, text/plain)
2013-07-29 08:36 EDT, alan.henry.williams
no flags Details
File: environ (1.91 KB, text/plain)
2013-07-29 08:36 EDT, alan.henry.williams
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-29 08:36 EDT, alan.henry.williams
no flags Details
File: maps (53.63 KB, text/plain)
2013-07-29 08:36 EDT, alan.henry.williams
no flags Details
File: open_fds (956 bytes, text/plain)
2013-07-29 08:36 EDT, alan.henry.williams
no flags Details
File: proc_pid_status (934 bytes, text/plain)
2013-07-29 08:36 EDT, alan.henry.williams
no flags Details
File: var_log_messages (263 bytes, text/plain)
2013-07-29 08:36 EDT, alan.henry.williams
no flags Details
File: xsession_errors (156 bytes, text/plain)
2013-07-29 08:36 EDT, alan.henry.williams
no flags Details

  None (edit)
Description alan.henry.williams 2013-07-29 08:36:04 EDT
Description of problem:
Adding text to an existing note. Gnote crashed.
Other software running - Kmail, Forefox

Version-Release number of selected component:
gnote-3.6.2-1.fc18

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/bin/gnote --background
crash_function: iter_set_from_byte_offset
executable:     /usr/bin/gnote
kernel:         3.9.11-200.fc18.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 iter_set_from_byte_offset at gtktextiter.c:120
 #4 iter_set_from_segment at gtktextiter.c:159
 #5 iter_init_from_segment at gtktextiter.c:267
 #6 _gtk_text_btree_get_iter_at_mark at gtktextiter.c:5665
 #7 Gtk::TextBuffer::get_iter_at_mark at textbuffer.cc:174
 #8 gnote::NoteFindBar::highlight_matches at notewindow.cpp:1103
 #9 gnote::NoteFindBar::cleanup_matches at notewindow.cpp:1122
 #10 gnote::NoteFindBar::perform_search at notewindow.cpp:953
 #11 gnote::NoteFindBar::note_changed_timeout at notewindow.cpp:1025
 #12 sigc::internal::signal_emit0<void, sigc::nil>::emit at /usr/include/sigc++-2.0/sigc++/signal.h:772

Potential duplicate: bug 838590
Comment 1 alan.henry.williams 2013-07-29 08:36:10 EDT
Created attachment 779854 [details]
File: backtrace
Comment 2 alan.henry.williams 2013-07-29 08:36:15 EDT
Created attachment 779855 [details]
File: cgroup
Comment 3 alan.henry.williams 2013-07-29 08:36:19 EDT
Created attachment 779856 [details]
File: core_backtrace
Comment 4 alan.henry.williams 2013-07-29 08:36:24 EDT
Created attachment 779857 [details]
File: dso_list
Comment 5 alan.henry.williams 2013-07-29 08:36:29 EDT
Created attachment 779858 [details]
File: environ
Comment 6 alan.henry.williams 2013-07-29 08:36:33 EDT
Created attachment 779859 [details]
File: limits
Comment 7 alan.henry.williams 2013-07-29 08:36:38 EDT
Created attachment 779860 [details]
File: maps
Comment 8 alan.henry.williams 2013-07-29 08:36:42 EDT
Created attachment 779862 [details]
File: open_fds
Comment 9 alan.henry.williams 2013-07-29 08:36:47 EDT
Created attachment 779863 [details]
File: proc_pid_status
Comment 10 alan.henry.williams 2013-07-29 08:36:52 EDT
Created attachment 779864 [details]
File: var_log_messages
Comment 11 alan.henry.williams 2013-07-29 08:36:55 EDT
Created attachment 779865 [details]
File: xsession_errors
Comment 12 Fedora End Of Life 2013-12-21 09:24:05 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2014-02-05 17:11:58 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.